#!/bin/bash

help_info(){
  echo "notify.sh -n {master|backup|fault}"
}

stop_service(){
  echo "stop service"
  systemctl stop nginx
  systemctl stop lico-icinga-mond
  systemctl stop lico-confluent-proxy
  systemctl stop lico-beat
  systemctl stop lico-file-manager
  systemctl stop lico-async-task
  systemctl stop lico-async-task-proxy
  systemctl stop lico
  systemctl stop confluent
  systemctl stop rabbitmq-server
  systemctl stop influxdb
  systemctl stop mariadb
  systemctl stop slapd
}

start_service(){
  echo "start service"
  sleep 120
  systemctl restart slapd
  systemctl restart mariadb
  systemctl restart influxdb
  systemctl restart rabbitmq-server
  systemctl restart confluent
  systemctl restart lico
  systemctl restart lico-async-task
  systemctl restart lico-async-task-proxy
  systemctl restart lico-file-manager
  systemctl restart lico-beat
  systemctl restart lico-confluent-proxy
  systemctl restart lico-icinga-mond
  systemctl restart nginx
}

if [ $# -lt 2 ]
then
  help_info
  exit 0
fi



if [ $2 == "master" ]; then
    start_service
    exit 0
elif [ $2 == "backup" ]; then
    stop_service
    exit 0
elif [ $2 == "fault" ]; then
    stop_service
    exit 0
else
    help_info
fi

